Page MenuHomePhabricator

Jenkins no longer fails build if mw-error.log or mw-dberror.log are non-empty
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/570770
https://integration.wikimedia.org/ci/job/mediawiki-quibble-composer-mysql-php72-docker/10308/artifact/log/mw-error.log/*view*/

2020-02-27 16:09:40 ed2f3be33c63 wikidb: Deferred update 'MWCallableUpdate_MediaWiki->schedulePostSendJobs' failed to run. LogicException: JobRunner::run called with an active transaction round.
#0 /workspace/src/includes/MediaWiki.php(1150): JobRunner->run(array)
#1 /workspace/src/includes/MediaWiki.php(629): MediaWiki->triggerSyncJobs(integer)
#2 /workspace/src/includes/deferred/MWCallableUpdate.php(38): MediaWiki->{closure}()
#3 /workspace/src/includes/deferred/DeferredUpdates.php(417): MWCallableUpdate->doUpdate()
#4 /workspace/src/includes/deferred/DeferredUpdates.php(296): DeferredUpdates::attemptUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactorySimple)
#5 /workspace/src/includes/deferred/DeferredUpdates.php(233): DeferredUpdates::run(MWCallableUpdate, Wikimedia\Rdbms\LBFactorySimple, MediaWiki\Logger\LegacyLogger, BufferingStatsdDataFactory, string)
#6 /workspace/src/includes/deferred/DeferredUpdates.php(150): DeferredUpdates::handleUpdateQueue(array, string, integer)
#7 /workspace/src/includes/MediaWiki.php(1058): DeferredUpdates::doUpdates(string)
#8 /workspace/src/includes/MediaWiki.php(838): MediaWiki->restInPeace()
#9 /workspace/src/includes/MediaWiki.php(858): MediaWiki->{closure}()
#10 /workspace/src/includes/MediaWiki.php(574): MediaWiki->doPostOutputShutdown()
#11 /workspace/src/index.php(47): MediaWiki->run()
#12 {main}

This is supposed to fail the build, and that used to work.

See also:

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

assert-no-mediawiki-errors isn't run anywhere in jjb any more (but it's still defined). Was it replaced?

Ah, this is now meant to be done by quibble, per a5de50f50c68f42212203aa0f9d8c6679a02d78d when it was removed.

I'm not seeing any code which checks the contents of $wgDebugLogGroups['error'] in any repo?

Change 575300 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] MediaWikiIntegrationTestCase: Fail if errors were emitted, e.g. by DeferredUpdates

https://gerrit.wikimedia.org/r/575300

If this is just for DeferredUpdates errors, possibly it was always broken and we've just started noticing them now that d06b2918c70acd79ff28a23f4632854ea39ad792 means we're logging them?

Change 575311 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] Add 'assert-no-mediawiki-errors' back to mediawiki quibble jobs

https://gerrit.wikimedia.org/r/575311

Change 575300 abandoned by Jforrester:
MediaWikiIntegrationTestCase: Fail if errors were emitted, e.g. by DeferredUpdates

https://gerrit.wikimedia.org/r/575300

Mentioned in SAL (#wikimedia-releng) [2020-02-27T17:59:36Z] <James_F> Updating mediawiki-quibble-composer-mysql-php72-docker to test probably-breaking requirement that error logs are empty T246358

Mentioned in SAL (#wikimedia-releng) [2020-02-27T18:11:21Z] <James_F> Reset mediawiki-quibble-composer-mysql-php72-docker to nominal T246358

mw-dberror.log:Thu Feb 27 18:02:59 UTC 2020	fcf838ea2cc1	wikidb-unittest_	SpecialBrokenRedirects::reallyDoQuery	localhost:/workspace/db/quibble-mysql-aalnvfop/socket	1137	Can't reopen table: 'p1' (localhost:/workspace/db/quibble-mysql-aalnvfop/socket)	SELECT  p1.page_namespace AS `namespace`,p1.page_title AS `title`,rd_namespace,rd_title,rd_fragment  FROM `unittest_redirect` JOIN `unittest_page` `p1` ON ((rd_from=p1.page_id)) LEFT JOIN `unittest_page` `p2` ON ((rd_namespace=p2.page_namespace) AND (rd_title=p2.page_title))   WHERE (rd_namespace >= 0) AND (rd_interwiki IS NULL OR rd_interwiki = '') AND (p2.page_namespace IS NULL)  ORDER BY rd_namespace,rd_title,rd_from LIMIT 51  
mw-dberror.log:#0 /workspace/src/includes/libs/rdbms/database/Database.php(1587): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
mw-dberror.log:#1 /workspace/src/includes/libs/rdbms/database/Database.php(1166): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
mw-dberror.log:#2 /workspace/src/includes/libs/rdbms/database/Database.php(1832): Wikimedia\Rdbms\Database->query(string, string)
mw-dberror.log:#3 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->select(array, array, array, string, array, array)
mw-dberror.log:#4 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(322): Wikimedia\Rdbms\DBConnRef->__call(string, array)
mw-dberror.log:#5 /workspace/src/includes/specialpage/QueryPage.php(459): Wikimedia\Rdbms\DBConnRef->select(array, array, array, string, array, array)
mw-dberror.log:#6 /workspace/src/includes/specialpage/QueryPage.php(637): QueryPage->reallyDoQuery(integer, integer)
mw-dberror.log:#7 /workspace/src/includes/specials/SpecialBrokenRedirects.php(173): QueryPage->execute(string)
mw-dberror.log:#8 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(108): SpecialBrokenRedirects->execute(string)
mw-dberror.log:#9 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(36): SpecialPageExecutor->getHTMLFromSpecialPage(SpecialBrokenRedirects, string)
mw-dberror.log:#10 /workspace/src/tests/phpunit/structure/SpecialPageFatalTest.php(33): SpecialPageExecutor->executeSpecialPage(SpecialBrokenRedirects, string, NULL, string, User)
mw-dberror.log:#11 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): SpecialPageFatalTest->testSpecialPageDoesNotFatal(SpecialBrokenRedirects)
mw-dberror.log:#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1028): PHPUnit\Framework\TestCase->runTest()
mw-dberror.log:#13 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(691): PHPUnit\Framework\TestCase->runBare()
mw-dberror.log:#14 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(756): PHPUnit\Framework\TestResult->run(SpecialPageFatalTest)
mw-dberror.log:#15 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php(416): PHPUnit\Framework\TestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#16 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): MediaWikiIntegrationTestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#17 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#18 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#19 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#20 /workspace/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(621): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#21 /workspace/src/vendor/phpunit/phpunit/src/TextUI/Command.php(200): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
mw-dberror.log:#22 /workspace/src/tests/phpunit/phpunit.php(71): PHPUnit\TextUI\Command->run(array, boolean)
mw-dberror.log:#23 /workspace/src/maintenance/doMaintenance.php(99): PHPUnitMaintClass->execute()
mw-dberror.log:#24 /workspace/src/tests/phpunit/phpunit.php(130): require(string)
mw-dberror.log:#25 {main}

mw-dberror.log:Thu Feb 27 18:02:59 UTC 2020	fcf838ea2cc1	wikidb-unittest_	SpecialDoubleRedirects::reallyDoQuery	localhost:/workspace/db/quibble-mysql-aalnvfop/socket	1137	Can't reopen table: 'ra' (localhost:/workspace/db/quibble-mysql-aalnvfop/socket)	SELECT  pa.page_namespace AS `namespace`,pa.page_title AS `title`,pb.page_namespace AS `b_namespace`,pb.page_title AS `b_title`,rb.rd_namespace AS `c_namespace`,rb.rd_title AS `c_title`,rb.rd_fragment AS `c_fragment`,rb.rd_interwiki AS `c_interwiki`  FROM `unittest_redirect` `ra`,`unittest_redirect` `rb`,`unittest_page` `pa`,`unittest_page` `pb`    WHERE (ra.rd_from = pa.page_id) AND (ra.rd_interwiki IS NULL OR ra.rd_interwiki = '') AND (pb.page_namespace = ra.rd_namespace) AND (pb.page_title = ra.rd_title) AND (rb.rd_from = pb.page_id)  ORDER BY ra.rd_namespace,ra.rd_title LIMIT 51  
mw-dberror.log:#0 /workspace/src/includes/libs/rdbms/database/Database.php(1587): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
mw-dberror.log:#1 /workspace/src/includes/libs/rdbms/database/Database.php(1166): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
mw-dberror.log:#2 /workspace/src/includes/libs/rdbms/database/Database.php(1832): Wikimedia\Rdbms\Database->query(string, string)
mw-dberror.log:#3 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->select(array, array, array, string, array, array)
mw-dberror.log:#4 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(322): Wikimedia\Rdbms\DBConnRef->__call(string, array)
mw-dberror.log:#5 /workspace/src/includes/specialpage/QueryPage.php(459): Wikimedia\Rdbms\DBConnRef->select(array, array, array, string, array, array)
mw-dberror.log:#6 /workspace/src/includes/specialpage/QueryPage.php(637): QueryPage->reallyDoQuery(integer, integer)
mw-dberror.log:#7 /workspace/src/includes/specials/SpecialDoubleRedirects.php(208): QueryPage->execute(string)
mw-dberror.log:#8 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(108): SpecialDoubleRedirects->execute(string)
mw-dberror.log:#9 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(36): SpecialPageExecutor->getHTMLFromSpecialPage(SpecialDoubleRedirects, string)
mw-dberror.log:#10 /workspace/src/tests/phpunit/structure/SpecialPageFatalTest.php(33): SpecialPageExecutor->executeSpecialPage(SpecialDoubleRedirects, string, NULL, string, User)
mw-dberror.log:#11 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): SpecialPageFatalTest->testSpecialPageDoesNotFatal(SpecialDoubleRedirects)
mw-dberror.log:#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1028): PHPUnit\Framework\TestCase->runTest()
mw-dberror.log:#13 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(691): PHPUnit\Framework\TestCase->runBare()
mw-dberror.log:#14 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(756): PHPUnit\Framework\TestResult->run(SpecialPageFatalTest)
mw-dberror.log:#15 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php(416): PHPUnit\Framework\TestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#16 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): MediaWikiIntegrationTestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#17 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#18 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#19 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#20 /workspace/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(621): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#21 /workspace/src/vendor/phpunit/phpunit/src/TextUI/Command.php(200): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
mw-dberror.log:#22 /workspace/src/tests/phpunit/phpunit.php(71): PHPUnit\TextUI\Command->run(array, boolean)
mw-dberror.log:#23 /workspace/src/maintenance/doMaintenance.php(99): PHPUnitMaintClass->execute()
mw-dberror.log:#24 /workspace/src/tests/phpunit/phpunit.php(130): require(string)
mw-dberror.log:#25 {main}

mw-dberror.log:Thu Feb 27 18:03:00 UTC 2020	fcf838ea2cc1	wikidb-unittest_	WantedFilesPage::reallyDoQuery	localhost:/workspace/db/quibble-mysql-aalnvfop/socket	1137	Can't reopen table: 'img1' (localhost:/workspace/db/quibble-mysql-aalnvfop/socket)	SELECT  6 AS `namespace`,il_to AS `title`,COUNT(*) AS `value`  FROM `unittest_imagelinks` LEFT JOIN `unittest_page` ON ((il_to = page_title) AND page_namespace = 6) LEFT JOIN `unittest_redirect` ON ((page_id = rd_from) AND rd_namespace = 6 AND rd_interwiki = '') LEFT JOIN `unittest_image` `img1` ON ((il_to = img1.img_name)) LEFT JOIN `unittest_image` `img2` ON ((rd_title = img2.img_name))   WHERE img1.img_name IS NULL AND img2.img_name IS NULL  GROUP BY il_to ORDER BY value DESC,namespace,title LIMIT 51  
mw-dberror.log:#0 /workspace/src/includes/libs/rdbms/database/Database.php(1587): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
mw-dberror.log:#1 /workspace/src/includes/libs/rdbms/database/Database.php(1166): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
mw-dberror.log:#2 /workspace/src/includes/libs/rdbms/database/Database.php(1832): Wikimedia\Rdbms\Database->query(string, string)
mw-dberror.log:#3 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->select(array, array, array, string, array, array)
mw-dberror.log:#4 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(322): Wikimedia\Rdbms\DBConnRef->__call(string, array)
mw-dberror.log:#5 /workspace/src/includes/specialpage/QueryPage.php(459): Wikimedia\Rdbms\DBConnRef->select(array, array, array, string, array, array)
mw-dberror.log:#6 /workspace/src/includes/specialpage/QueryPage.php(637): QueryPage->reallyDoQuery(integer, integer)
mw-dberror.log:#7 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(108): QueryPage->execute(string)
mw-dberror.log:#8 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(36): SpecialPageExecutor->getHTMLFromSpecialPage(WantedFilesPage, string)
mw-dberror.log:#9 /workspace/src/tests/phpunit/structure/SpecialPageFatalTest.php(33): SpecialPageExecutor->executeSpecialPage(WantedFilesPage, string, NULL, string, User)
mw-dberror.log:#10 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): SpecialPageFatalTest->testSpecialPageDoesNotFatal(WantedFilesPage)
mw-dberror.log:#11 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1028): PHPUnit\Framework\TestCase->runTest()
mw-dberror.log:#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(691): PHPUnit\Framework\TestCase->runBare()
mw-dberror.log:#13 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(756): PHPUnit\Framework\TestResult->run(SpecialPageFatalTest)
mw-dberror.log:#14 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php(416): PHPUnit\Framework\TestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#15 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): MediaWikiIntegrationTestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#16 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#17 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#18 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#19 /workspace/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(621): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#20 /workspace/src/vendor/phpunit/phpunit/src/TextUI/Command.php(200): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
mw-dberror.log:#21 /workspace/src/tests/phpunit/phpunit.php(71): PHPUnit\TextUI\Command->run(array, boolean)
mw-dberror.log:#22 /workspace/src/maintenance/doMaintenance.php(99): PHPUnitMaintClass->execute()
mw-dberror.log:#23 /workspace/src/tests/phpunit/phpunit.php(130): require(string)
mw-dberror.log:#24 {main}

mw-dberror.log:Thu Feb 27 18:03:00 UTC 2020	fcf838ea2cc1	wikidb-unittest_	WantedPagesPage::reallyDoQuery	localhost:/workspace/db/quibble-mysql-aalnvfop/socket	1137	Can't reopen table: 'pg1' (localhost:/workspace/db/quibble-mysql-aalnvfop/socket)	SELECT  pl_namespace AS `namespace`,pl_title AS `title`,COUNT(*) AS `value`  FROM `unittest_pagelinks` LEFT JOIN `unittest_page` `pg1` ON ((pg1.page_namespace = pl_namespace) AND (pg1.page_title = pl_title)) LEFT JOIN `unittest_page` `pg2` ON ((pg2.page_id = pl_from))   WHERE (pg1.page_namespace IS NULL) AND (pl_namespace NOT IN (2,3)) AND (pg2.page_namespace != 8)  GROUP BY pl_namespace,pl_title HAVING (COUNT(*) > 0) AND (COUNT(*) > SUM(pg2.page_is_redirect)) ORDER BY value DESC,namespace,title LIMIT 51  
mw-dberror.log:#0 /workspace/src/includes/libs/rdbms/database/Database.php(1587): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
mw-dberror.log:#1 /workspace/src/includes/libs/rdbms/database/Database.php(1166): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
mw-dberror.log:#2 /workspace/src/includes/libs/rdbms/database/Database.php(1832): Wikimedia\Rdbms\Database->query(string, string)
mw-dberror.log:#3 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->select(array, array, array, string, array, array)
mw-dberror.log:#4 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(322): Wikimedia\Rdbms\DBConnRef->__call(string, array)
mw-dberror.log:#5 /workspace/src/includes/specialpage/QueryPage.php(459): Wikimedia\Rdbms\DBConnRef->select(array, array, array, string, array, array)
mw-dberror.log:#6 /workspace/src/includes/specialpage/QueryPage.php(637): QueryPage->reallyDoQuery(integer, integer)
mw-dberror.log:#7 /workspace/src/includes/specials/SpecialWantedpages.php(48): QueryPage->execute(string)
mw-dberror.log:#8 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(108): WantedPagesPage->execute(string)
mw-dberror.log:#9 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(36): SpecialPageExecutor->getHTMLFromSpecialPage(WantedPagesPage, string)
mw-dberror.log:#10 /workspace/src/tests/phpunit/structure/SpecialPageFatalTest.php(33): SpecialPageExecutor->executeSpecialPage(WantedPagesPage, string, NULL, string, User)
mw-dberror.log:#11 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): SpecialPageFatalTest->testSpecialPageDoesNotFatal(WantedPagesPage)
mw-dberror.log:#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1028): PHPUnit\Framework\TestCase->runTest()
mw-dberror.log:#13 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(691): PHPUnit\Framework\TestCase->runBare()
mw-dberror.log:#14 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(756): PHPUnit\Framework\TestResult->run(SpecialPageFatalTest)
mw-dberror.log:#15 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php(416): PHPUnit\Framework\TestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#16 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): MediaWikiIntegrationTestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#17 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#18 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#19 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#20 /workspace/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(621): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#21 /workspace/src/vendor/phpunit/phpunit/src/TextUI/Command.php(200): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
mw-dberror.log:#22 /workspace/src/tests/phpunit/phpunit.php(71): PHPUnit\TextUI\Command->run(array, boolean)
mw-dberror.log:#23 /workspace/src/maintenance/doMaintenance.php(99): PHPUnitMaintClass->execute()
mw-dberror.log:#24 /workspace/src/tests/phpunit/phpunit.php(130): require(string)
mw-dberror.log:#25 {main}

mw-dberror.log:Thu Feb 27 18:03:00 UTC 2020	fcf838ea2cc1	wikidb-unittest_	SpecialListRedirects::reallyDoQuery	localhost:/workspace/db/quibble-mysql-aalnvfop/socket	1137	Can't reopen table: 'p1' (localhost:/workspace/db/quibble-mysql-aalnvfop/socket)	SELECT  p1.page_namespace AS `namespace`,p1.page_title AS `title`,rd_namespace,rd_title,rd_fragment,rd_interwiki,p2.page_id AS `redirid`  FROM `unittest_page` `p1` LEFT JOIN `unittest_redirect` ON ((rd_from=p1.page_id)) LEFT JOIN `unittest_page` `p2` ON ((p2.page_namespace=rd_namespace) AND (p2.page_title=rd_title))   WHERE p1.page_is_redirect = 1  ORDER BY p1.page_namespace,p1.page_title LIMIT 51  
mw-dberror.log:#0 /workspace/src/includes/libs/rdbms/database/Database.php(1587): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
mw-dberror.log:#1 /workspace/src/includes/libs/rdbms/database/Database.php(1166): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
mw-dberror.log:#2 /workspace/src/includes/libs/rdbms/database/Database.php(1832): Wikimedia\Rdbms\Database->query(string, string)
mw-dberror.log:#3 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->select(array, array, array, string, array, array)
mw-dberror.log:#4 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(322): Wikimedia\Rdbms\DBConnRef->__call(string, array)
mw-dberror.log:#5 /workspace/src/includes/specialpage/QueryPage.php(459): Wikimedia\Rdbms\DBConnRef->select(array, array, array, string, array, array)
mw-dberror.log:#6 /workspace/src/includes/specialpage/QueryPage.php(637): QueryPage->reallyDoQuery(integer, integer)
mw-dberror.log:#7 /workspace/src/includes/specials/SpecialListRedirects.php(149): QueryPage->execute(string)
mw-dberror.log:#8 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(108): SpecialListRedirects->execute(string)
mw-dberror.log:#9 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php(36): SpecialPageExecutor->getHTMLFromSpecialPage(SpecialListRedirects, string)
mw-dberror.log:#10 /workspace/src/tests/phpunit/structure/SpecialPageFatalTest.php(33): SpecialPageExecutor->executeSpecialPage(SpecialListRedirects, string, NULL, string, User)
mw-dberror.log:#11 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): SpecialPageFatalTest->testSpecialPageDoesNotFatal(SpecialListRedirects)
mw-dberror.log:#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1028): PHPUnit\Framework\TestCase->runTest()
mw-dberror.log:#13 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(691): PHPUnit\Framework\TestCase->runBare()
mw-dberror.log:#14 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(756): PHPUnit\Framework\TestResult->run(SpecialPageFatalTest)
mw-dberror.log:#15 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php(416): PHPUnit\Framework\TestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#16 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): MediaWikiIntegrationTestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#17 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#18 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#19 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#20 /workspace/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(621): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#21 /workspace/src/vendor/phpunit/phpunit/src/TextUI/Command.php(200): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
mw-dberror.log:#22 /workspace/src/tests/phpunit/phpunit.php(71): PHPUnit\TextUI\Command->run(array, boolean)
mw-dberror.log:#23 /workspace/src/maintenance/doMaintenance.php(99): PHPUnitMaintClass->execute()
mw-dberror.log:#24 /workspace/src/tests/phpunit/phpunit.php(130): require(string)
mw-dberror.log:#25 {main}

mw-dberror.log:Thu Feb 27 18:07:35 UTC 2020	fcf838ea2cc1	wikidb-unittest_	Error connecting to [Null] as user [Null]: Got schema 'such'; not supported.
mw-dberror.log:#0 /workspace/src/includes/libs/rdbms/database/DatabaseMysqlBase.php(126): Wikimedia\Rdbms\Database->newExceptionAfterConnectError(string)
mw-dberror.log:#1 /workspace/src/includes/libs/rdbms/database/Database.php(319): Wikimedia\Rdbms\DatabaseMysqlBase->open(string, string, string, string, string, string)
mw-dberror.log:#2 /workspace/src/includes/libs/rdbms/database/Database.php(303): Wikimedia\Rdbms\Database->doInitConnection()
mw-dberror.log:#3 /workspace/src/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1352): Wikimedia\Rdbms\Database->initConnection()
mw-dberror.log:#4 /workspace/src/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1233): Wikimedia\Rdbms\LoadBalancer->reallyOpenConnection(integer, Wikimedia\Rdbms\DatabaseDomain, array)
mw-dberror.log:#5 /workspace/src/includes/libs/rdbms/loadbalancer/LoadBalancer.php(954): Wikimedia\Rdbms\LoadBalancer->getForeignConnection(integer, string, integer)
mw-dberror.log:#6 /workspace/src/includes/libs/rdbms/loadbalancer/LoadBalancer.php(925): Wikimedia\Rdbms\LoadBalancer->getServerConnection(integer, string, integer)
mw-dberror.log:#7 /workspace/src/includes/filebackend/filejournal/DBFileJournal.php(191): Wikimedia\Rdbms\LoadBalancer->getConnection(integer, array, string)
mw-dberror.log:#8 /workspace/src/includes/filebackend/filejournal/DBFileJournal.php(61): DBFileJournal->getMasterDB()
mw-dberror.log:#9 /workspace/src/includes/libs/filebackend/filejournal/FileJournal.php(111): DBFileJournal->doLogChangeBatch(array, string)
mw-dberror.log:#10 /workspace/src/tests/phpunit/includes/filebackend/filejournal/DBFileJournalIntegrationTest.php(48): FileJournal->logChangeBatch(array, string)
mw-dberror.log:#11 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): DBFileJournalIntegrationTest->testDoLogChangeBatch_exceptionDbConnect()
mw-dberror.log:#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1028): PHPUnit\Framework\TestCase->runTest()
mw-dberror.log:#13 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(691): PHPUnit\Framework\TestCase->runBare()
mw-dberror.log:#14 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(756): PHPUnit\Framework\TestResult->run(DBFileJournalIntegrationTest)
mw-dberror.log:#15 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php(416): PHPUnit\Framework\TestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#16 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): MediaWikiIntegrationTestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#17 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#18 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#19 /workspace/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(621): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#20 /workspace/src/vendor/phpunit/phpunit/src/TextUI/Command.php(200): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
mw-dberror.log:#21 /workspace/src/tests/phpunit/phpunit.php(71): PHPUnit\TextUI\Command->run(array, boolean)
mw-dberror.log:#22 /workspace/src/maintenance/doMaintenance.php(99): PHPUnitMaintClass->execute()
mw-dberror.log:#23 /workspace/src/tests/phpunit/phpunit.php(130): require(string)
mw-dberror.log:#24 {main}

mw-dberror.log:Thu Feb 27 18:07:35 UTC 2020	fcf838ea2cc1	wikidb-unittest_	DBFileJournal::doLogChangeBatch	localhost:/workspace/db/quibble-mysql-aalnvfop/socket	1048	Column 'fj_op' cannot be null (localhost:/workspace/db/quibble-mysql-aalnvfop/socket)	INSERT  INTO `unittest_filejournal` (fj_batch_uuid,fj_backend,fj_op,fj_path,fj_new_sha1,fj_timestamp) VALUES ('batch','local-backend',NULL,'',0,'20200227180735')
mw-dberror.log:#0 /workspace/src/includes/libs/rdbms/database/Database.php(1587): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
mw-dberror.log:#1 /workspace/src/includes/libs/rdbms/database/Database.php(1166): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
mw-dberror.log:#2 /workspace/src/includes/libs/rdbms/database/Database.php(2178): Wikimedia\Rdbms\Database->query(string, string)
mw-dberror.log:#3 /workspace/src/includes/filebackend/filejournal/DBFileJournal.php(83): Wikimedia\Rdbms\Database->insert(string, array, string)
mw-dberror.log:#4 /workspace/src/includes/libs/filebackend/filejournal/FileJournal.php(111): DBFileJournal->doLogChangeBatch(array, string)
mw-dberror.log:#5 /workspace/src/tests/phpunit/includes/filebackend/filejournal/DBFileJournalIntegrationTest.php(62): FileJournal->logChangeBatch(array, string)
mw-dberror.log:#6 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): DBFileJournalIntegrationTest->testDoLogChangeBatch_exceptionDbQuery()
mw-dberror.log:#7 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1028): PHPUnit\Framework\TestCase->runTest()
mw-dberror.log:#8 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(691): PHPUnit\Framework\TestCase->runBare()
mw-dberror.log:#9 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(756): PHPUnit\Framework\TestResult->run(DBFileJournalIntegrationTest)
mw-dberror.log:#10 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php(416): PHPUnit\Framework\TestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#11 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): MediaWikiIntegrationTestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#13 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#14 /workspace/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(621): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#15 /workspace/src/vendor/phpunit/phpunit/src/TextUI/Command.php(200): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
mw-dberror.log:#16 /workspace/src/tests/phpunit/phpunit.php(71): PHPUnit\TextUI\Command->run(array, boolean)
mw-dberror.log:#17 /workspace/src/maintenance/doMaintenance.php(99): PHPUnitMaintClass->execute()
mw-dberror.log:#18 /workspace/src/tests/phpunit/phpunit.php(130): require(string)
mw-dberror.log:#19 {main}

mw-dberror.log:Thu Feb 27 18:07:36 UTC 2020	fcf838ea2cc1	wikidb-unittest_	Wikimedia\Rdbms\Database::commit: no transaction to commit, something got out of sync
mw-dberror.log:Thu Feb 27 18:08:37 UTC 2020	fcf838ea2cc1	wikidb-unittest_	User::updateActorId	localhost:/workspace/db/quibble-mysql-aalnvfop/socket	1062	Duplicate entry 'TestNewSystemUser 221a2b.157c' for key 'actor_name' (localhost:/workspace/db/quibble-mysql-aalnvfop/socket)	INSERT  INTO `unittest_actor` (actor_user,actor_name) VALUES (169,'TestNewSystemUser 221a2b.157c')
mw-dberror.log:#0 /workspace/src/includes/libs/rdbms/database/Database.php(1587): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
mw-dberror.log:#1 /workspace/src/includes/libs/rdbms/database/Database.php(1166): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
mw-dberror.log:#2 /workspace/src/includes/libs/rdbms/database/Database.php(2178): Wikimedia\Rdbms\Database->query(string, string)
mw-dberror.log:#3 /workspace/src/includes/user/User.php(4257): Wikimedia\Rdbms\Database->insert(string, array, string)
mw-dberror.log:#4 /workspace/src/includes/user/User.php(4147): User->updateActorId(Wikimedia\Rdbms\DatabaseMysqli)
mw-dberror.log:#5 /workspace/src/includes/libs/rdbms/database/Database.php(4045): User::{closure}(Wikimedia\Rdbms\DatabaseMysqli, string)
mw-dberror.log:#6 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->doAtomicSection(string, Closure)
mw-dberror.log:#7 /workspace/src/includes/libs/rdbms/database/DBConnRef.php(650): Wikimedia\Rdbms\DBConnRef->__call(string, array)
mw-dberror.log:#8 /workspace/src/includes/user/User.php(4154): Wikimedia\Rdbms\DBConnRef->doAtomicSection(string, Closure)
mw-dberror.log:#9 /workspace/src/includes/user/User.php(805): User::createNew(string, array)
mw-dberror.log:#10 /workspace/src/tests/phpunit/includes/user/UserTest.php(2134): User::newSystemUser(string, array)
mw-dberror.log:#11 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): UserTest->testNewSystemUser(string, array, array, string)
mw-dberror.log:#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1028): PHPUnit\Framework\TestCase->runTest()
mw-dberror.log:#13 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestResult.php(691): PHPUnit\Framework\TestCase->runBare()
mw-dberror.log:#14 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(756): PHPUnit\Framework\TestResult->run(UserTest)
mw-dberror.log:#15 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php(416): PHPUnit\Framework\TestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#16 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): MediaWikiIntegrationTestCase->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#17 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#18 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#19 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestSuite.php(597): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#20 /workspace/src/vendor/phpunit/phpunit/src/TextUI/TestRunner.php(621): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
mw-dberror.log:#21 /workspace/src/vendor/phpunit/phpunit/src/TextUI/Command.php(200): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
mw-dberror.log:#22 /workspace/src/tests/phpunit/phpunit.php(71): PHPUnit\TextUI\Command->run(array, boolean)
mw-dberror.log:#23 /workspace/src/maintenance/doMaintenance.php(99): PHPUnitMaintClass->execute()
mw-dberror.log:#24 /workspace/src/tests/phpunit/phpunit.php(130): require(string)
mw-dberror.log:#25 {main}

mw-error.log:2020-02-27 18:03:14 fcf838ea2cc1 wikidb: Deferred update 'MWCallableUpdate_MediaWiki->schedulePostSendJobs' failed to run. LogicException: JobRunner::run called with an active transaction round.
mw-error.log:#0 /workspace/src/includes/MediaWiki.php(1150): JobRunner->run(array)
mw-error.log:#1 /workspace/src/includes/MediaWiki.php(629): MediaWiki->triggerSyncJobs(integer)
mw-error.log:#2 /workspace/src/includes/deferred/MWCallableUpdate.php(38): MediaWiki->{closure}()
mw-error.log:#3 /workspace/src/includes/deferred/DeferredUpdates.php(417): MWCallableUpdate->doUpdate()
mw-error.log:#4 /workspace/src/includes/deferred/DeferredUpdates.php(296): DeferredUpdates::attemptUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactorySimple)
mw-error.log:#5 /workspace/src/includes/deferred/DeferredUpdates.php(233): DeferredUpdates::run(MWCallableUpdate, Wikimedia\Rdbms\LBFactorySimple, MediaWiki\Logger\LegacyLogger, BufferingStatsdDataFactory, string)
mw-error.log:#6 /workspace/src/includes/deferred/DeferredUpdates.php(150): DeferredUpdates::handleUpdateQueue(array, string, integer)
mw-error.log:#7 /workspace/src/includes/MediaWiki.php(1058): DeferredUpdates::doUpdates(string)
mw-error.log:#8 /workspace/src/includes/MediaWiki.php(838): MediaWiki->restInPeace()
mw-error.log:#9 /workspace/src/includes/MediaWiki.php(858): MediaWiki->{closure}()
mw-error.log:#10 /workspace/src/includes/MediaWiki.php(574): MediaWiki->doPostOutputShutdown()
mw-error.log:#11 /workspace/src/index.php(47): MediaWiki->run()
mw-error.log:#12 {main}

Update:

mw-error.log
2020-03-20 18:06:30 32a44f17c9c0 wikidb-unittest_: [8a839d6559be93ca5d333927] [no req]   LogicException from line 103 of /workspace/src/tests/phpunit/includes/deferred/RefreshSecondaryDataUpdateTest.php: We have a problem

2020-03-20 18:06:30 32a44f17c9c0 wikidb-unittest_: [8a839d6559be93ca5d333927] [no req]   LogicException from line 103 of /workspace/src/tests/phpunit/includes/deferred/RefreshSecondaryDataUpdateTest.php: We have a problem

2020-03-20 18:06:30 32a44f17c9c0 wikidb-unittest_: [8a839d6559be93ca5d333927] [no req]   LogicException from line 103 of /workspace/src/tests/phpunit/includes/deferred/RefreshSecondaryDataUpdateTest.php: We have a problem
…
#18 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): RefreshSecondaryDataUpdateTest->testEnqueueOnFailure()

Only three entries left that are happening on all builds, which is the same issue ocurring three times:

mw-dberror.log
Fri Mar 20 18:07:26 UTC 2020	32a44f17c9c0	wikidb-unittest_	SpecialBrokenRedirects::reallyDoQuery	localhost:/workspace/db/quibble-mysql-fyqd_1b0/socket	1137	Can't reopen table: 'p1' …

Fri Mar 20 18:10:36 UTC 2020	32a44f17c9c0	wikidb-unittest_	Error connecting to [Null] as user [Null]: Got schema 'such'; not supported.
…
#10 /workspace/src/tests/phpunit/includes/filebackend/filejournal/DBFileJournalIntegrationTest.php(48): FileJournal->logChangeBatch(array, string)

Fri Mar 20 18:11:23 UTC 2020	32a44f17c9c0	wikidb-unittest_	User::updateActorId	localhost:/workspace/db/quibble-mysql-fyqd_1b0/socket	1062	Duplicate entry 'TestNewSystemUser 81e504.1010' for key 'actor_name' (localhost:/workspace/db/quibble-mysql-fyqd_1b0/socket)	INSERT INTO `unittest_actor` (actor_user,actor_name) VALUES (169,'TestNewSystemUser 81e504.1010')
…
#12 /workspace/src/vendor/phpunit/phpunit/src/Framework/TestCase.php(1408): UserTest->testNewSystemUser(string, array, array, string)

There are seven entries left here:

Jdforrester-WMF renamed this task from Jenkins no longer fails build if mw-error.log is non-empty to Jenkins no longer fails build if mw-error.log or mw-dberror.log are non-empty.Mar 30 2020, 5:03 PM

Mentioned in SAL (#wikimedia-releng) [2020-03-30T17:04:37Z] <James_F> jjb: Add 'wikibase-client-docker' to wikibase-*-docker as a test T246358

Mentioned in SAL (#wikimedia-releng) [2020-03-30T17:12:23Z] <James_F> jjb: Add 'assert-no-mediawiki-errors' to mediawiki-quibble-api-testing-vendor-*-php72-docker as a test T246358

Mentioned in SAL (#wikimedia-releng) [2020-03-30T17:31:26Z] <James_F> jjb: Deployed 'assert-no-mediawiki-errors' to all quibble jobs T246358

Change 575311 merged by jenkins-bot:
[integration/config@master] jjb: Add 'assert-no-mediawiki-errors' to mediawiki quibble jobs

https://gerrit.wikimedia.org/r/575311

Mentioned in SAL (#wikimedia-releng) [2020-03-30T20:36:26Z] <James_F> Reverting T246358 work on JJB to fix T248891.

Assuming this check is still supposed to happen eventually, would it be possible to add it to “check experimental” first, so we can fix the Wikibase problems before they block all merges?

Assuming this check is still supposed to happen eventually, would it be possible to add it to “check experimental” first, so we can fix the Wikibase problems before they block all merges?

There is no separate job needed. The log is already generated, it is only the assertion that was accidentally lost and now being re-added.

On any commit, find the Quibble build links and inspect the mw-errors.log artefacts. Once this file is empty after a build (no longer created/exists) for Wikibase builds, let us know! Feel free to associate any tasks toward that as sub tasks here.

awight moved this task from Defect to Enhancement on the Quibble board.
daniel added a subscriber: daniel.

Tagging CPT. We might want to look into this. Or at least have it on our radar.

eprodromou added a subscriber: eprodromou.

Daniel, we'll keep our eyes peeled.

Change 616923 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] jjb: Add 'assert-no-mediawiki-errors' to quibble jobs (take 2)

https://gerrit.wikimedia.org/r/616923

Change 616951 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] tests: Disable the broken ignore and cases of DatabasePostgresTest

https://gerrit.wikimedia.org/r/616951

Change 616953 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Storage: Disable NameTableStoreTest case that fails on sqlite

https://gerrit.wikimedia.org/r/616953

Change 616951 merged by jenkins-bot:
[mediawiki/core@master] tests: Disable the broken ignore and cases of DatabasePostgresTest

https://gerrit.wikimedia.org/r/616951

Change 616953 merged by jenkins-bot:
[mediawiki/core@master] Storage: Disable NameTableStoreTest case that fails on sqlite

https://gerrit.wikimedia.org/r/616953

Change 616923 merged by jenkins-bot:
[integration/config@master] jjb: Add 'assert-no-mediawiki-errors' to quibble jobs (take 2)

https://gerrit.wikimedia.org/r/616923

Change 616940 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@REL1_35] Storage: Disable NameTableStoreTest case that fails on sqlite

https://gerrit.wikimedia.org/r/616940

Change 616940 merged by Krinkle:
[mediawiki/core@REL1_35] Storage: Disable NameTableStoreTest case that fails on sqlite

https://gerrit.wikimedia.org/r/616940

Change 616942 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@REL1_35] tests: Disable the broken ignore and cases of DatabasePostgresTest

https://gerrit.wikimedia.org/r/616942

Change 616942 merged by Krinkle:
[mediawiki/core@REL1_35] tests: Disable the broken ignore and cases of DatabasePostgresTest

https://gerrit.wikimedia.org/r/616942

Thank you so much @Krinkle for driving the effort!

Change 617247 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] jjb: Skip assert-no-mediawiki-errors on REL1_31 and REL1_34

https://gerrit.wikimedia.org/r/617247

Change 617247 merged by jenkins-bot:
[integration/config@master] jjb: Skip assert-no-mediawiki-errors on REL1_31 and REL1_34

https://gerrit.wikimedia.org/r/617247

Krinkle claimed this task.
Krinkle added a project: Performance-Team.